function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2022 F. Cuvelier
%
  S=struct('name','fc-siplt', 'tag','0.2.5','commit','b4d6a9b05dccd6ac643d7235a057f89704c7e72a','date', '2022-12-21','time','13-26-51','status',0);return; % automatically updated
  rep=fc_siplt.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-siplt','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
